Debian Bug report logs - #667636
virt-manager qemu+ssh connects with wrong user

version graph

Package: libvirt0; Maintainer for libvirt0 is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for libvirt0 is src:libvirt.

Reported by: Stefan Pietsch <stefan.pietsch@lsexperts.de>

Date: Thu, 5 Apr 2012 13:57:07 UTC

Severity: normal

Tags: patch

Merged with 667967

Fixed in version libvirt/0.9.11-2

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#667636; Package python-libvirt. (Thu, 05 Apr 2012 13:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Pietsch <stefan.pietsch@lsexperts.de>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 13:57:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Pietsch <stefan.pietsch@lsexperts.de>
To: submit@bugs.debian.org
Subject: virt-manager qemu+ssh connects with wrong user
Date: Thu, 5 Apr 2012 15:50:34 +0200
Package: python-libvirt
Version: 0.9.11-1
Severity: normal

After updating python-libvirt and libvirt0 from 0.9.9-3 to 0.9.11-1 the
virt-manager connection with qemu+ssh fails.

---

Example:

$ virt-manager -c qemu+ssh://root@192.168.20.37/system


Unable to connect to libvirt.

Cannot recv data: Permission denied (publickey).
: Connection reset by peer

Verify that the 'libvirtd' daemon is running
on the remote host.

Libvirt URI is: qemu+ssh://root@192.168.20.37/system

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 1185,
in _open_thread
    self.vmm = self._try_open()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1167,
in _try_open
    flags)
  File "/usr/lib/python2.7/dist-packages/libvirt.py", line 102, in
openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: Cannot recv data: Permission denied (publickey).
: Connection reset by peer

---
    

The SSH connection uses my login name on the local machine instead of
the user "root" as in the qemu+ssh URI.

On the server we see in the auth.log:
sshd[19002]: Invalid user stefan from 192.168.20.101



Regards,
Stefan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#667636; Package python-libvirt. (Thu, 05 Apr 2012 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 667636@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Stefan Pietsch <stefan.pietsch@lsexperts.de>, 667636@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#667636: virt-manager qemu+ssh connects with wrong user
Date: Thu, 5 Apr 2012 17:08:54 +0200
reassign 667636 libvirt0

thanks

On Thu, Apr 05, 2012 at 03:50:34PM +0200, Stefan Pietsch wrote:
> Package: python-libvirt
> Version: 0.9.11-1
> Severity: normal
> 
> After updating python-libvirt and libvirt0 from 0.9.9-3 to 0.9.11-1 the
> virt-manager connection with qemu+ssh fails.

This doesn't look python specific as it can be easily reproduced with
virsh alone.
 -- Guido

> 
> ---
> 
> Example:
> 
> $ virt-manager -c qemu+ssh://root@192.168.20.37/system
> 
> 
> Unable to connect to libvirt.
> 
> Cannot recv data: Permission denied (publickey).
> : Connection reset by peer
> 
> Verify that the 'libvirtd' daemon is running
> on the remote host.
> 
> Libvirt URI is: qemu+ssh://root@192.168.20.37/system
> 
> Traceback (most recent call last):
>   File "/usr/share/virt-manager/virtManager/connection.py", line 1185,
> in _open_thread
>     self.vmm = self._try_open()
>   File "/usr/share/virt-manager/virtManager/connection.py", line 1167,
> in _try_open
>     flags)
>   File "/usr/lib/python2.7/dist-packages/libvirt.py", line 102, in
> openAuth
>     if ret is None:raise libvirtError('virConnectOpenAuth() failed')
> libvirtError: Cannot recv data: Permission denied (publickey).
> : Connection reset by peer
> 
> ---
>     
> 
> The SSH connection uses my login name on the local machine instead of
> the user "root" as in the qemu+ssh URI.
> 
> On the server we see in the auth.log:
> sshd[19002]: Invalid user stefan from 192.168.20.101
> 
> 
> 
> Regards,
> Stefan
> 
> 
> 
> 
> _______________________________________________
> Pkg-libvirt-maintainers mailing list
> Pkg-libvirt-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-libvirt-maintainers
> 




Bug reassigned from package 'python-libvirt' to 'libvirt0'. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 15:18:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions libvirt/0.9.11-1. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 15:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#667636; Package libvirt0. (Thu, 05 Apr 2012 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 15:57:06 GMT) Full text and rfc822 format available.

Message #19 received at 667636@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Stefan Pietsch <stefan.pietsch@lsexperts.de>, 667636@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#667636: virt-manager qemu+ssh connects with wrong user
Date: Thu, 5 Apr 2012 17:54:35 +0200
[Message part 1 (text/plain, inline)]
tags 667636 patch
thanks

On Thu, Apr 05, 2012 at 03:50:34PM +0200, Stefan Pietsch wrote:
> Package: python-libvirt
> Version: 0.9.11-1
> Severity: normal
> 
> After updating python-libvirt and libvirt0 from 0.9.9-3 to 0.9.11-1 the
> virt-manager connection with qemu+ssh fails.
Find the fix attached.
Cheers,
 -- Guido
[0001-virURIParse-don-t-forget-to-copy-the-user-part.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 15:57:09 GMT) Full text and rfc822 format available.

Merged 667636 667967 Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 13:24:15 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Mon, 09 Apr 2012 16:36:14 GMT) Full text and rfc822 format available.

Notification sent to Stefan Pietsch <stefan.pietsch@lsexperts.de>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 16:36:14 GMT) Full text and rfc822 format available.

Message #28 received at 667636-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 667636-close@bugs.debian.org
Subject: Bug#667636: fixed in libvirt 0.9.11-2
Date: Mon, 09 Apr 2012 16:33:42 +0000
Source: libvirt
Source-Version: 0.9.11-2

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive:

libvirt-bin_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt-bin_0.9.11-2_i386.deb
libvirt-dev_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt-dev_0.9.11-2_i386.deb
libvirt-doc_0.9.11-2_all.deb
  to main/libv/libvirt/libvirt-doc_0.9.11-2_all.deb
libvirt0-dbg_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt0-dbg_0.9.11-2_i386.deb
libvirt0_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt0_0.9.11-2_i386.deb
libvirt_0.9.11-2.debian.tar.gz
  to main/libv/libvirt/libvirt_0.9.11-2.debian.tar.gz
libvirt_0.9.11-2.dsc
  to main/libv/libvirt/libvirt_0.9.11-2.dsc
python-libvirt_0.9.11-2_i386.deb
  to main/libv/libvirt/python-libvirt_0.9.11-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Apr 2012 17:29:46 +0200
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt
Architecture: source all i386
Version: 0.9.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 667477 667636
Changes: 
 libvirt (0.9.11-2) unstable; urgency=low
 .
   * [70dcb2e] Make module-init-tools a linux-any dependency
     (Closes: #667477)
   * [ea112f4] Depend on dwarves for checks requiring pdwtags
   * [5152b85] virURIParse: don't forget to copy the user part
     (Closes: #667636)
Checksums-Sha1: 
 1c99bb6494e39e9c60dfa05c75c3c0cfa4511a09 2276 libvirt_0.9.11-2.dsc
 312630dd64121bd5297000bc2616ef90c300c08f 35711 libvirt_0.9.11-2.debian.tar.gz
 79063a94f7ec0b71823cf3ff4758a4add50a91ef 1965264 libvirt-doc_0.9.11-2_all.deb
 63eef7a67ade57ef6dc06ae604cabf2ae5a9f16c 2127948 libvirt-bin_0.9.11-2_i386.deb
 e37dec54a4386789a454cdaa1cf330202b60c360 1926654 libvirt0_0.9.11-2_i386.deb
 38e8019ec149103b03f240b8906b0e9a0c5db166 5865884 libvirt0-dbg_0.9.11-2_i386.deb
 dc7f9321f62c40caff9bb6214419f33faa76b01e 2306642 libvirt-dev_0.9.11-2_i386.deb
 a20c5063a0708f61b364a80be5abefb4bd887d80 1223186 python-libvirt_0.9.11-2_i386.deb
Checksums-Sha256: 
 15fc703b5e7ba60b6d0aa22fce0ab894abe2fbedcda1348718ce9d4034210250 2276 libvirt_0.9.11-2.dsc
 075391487a83b7f7bbc0e4619ed6e13315f1a341b31cdf3ada978c2f5b58454d 35711 libvirt_0.9.11-2.debian.tar.gz
 3280657276e3daecac394fa30d41d8d142cb105d3655fab981ba22894d37cc61 1965264 libvirt-doc_0.9.11-2_all.deb
 9c0a6e39940f89b6b0b45916686cb24db0cc07df4838968798cb545dd0855ebf 2127948 libvirt-bin_0.9.11-2_i386.deb
 0ed258c3d519c81037cdda638eaa0eca163fc26db71faf3aa5ee2da05968d656 1926654 libvirt0_0.9.11-2_i386.deb
 ca7f6c7a8b28c755a51a626b14c64cc39dfd8a994a55486760acd16490d62758 5865884 libvirt0-dbg_0.9.11-2_i386.deb
 d1aa639706fb5d9f695aad442530328bdbd0070232085ff341d3e15dbcf2a769 2306642 libvirt-dev_0.9.11-2_i386.deb
 1aded08b9cae4788b434c2055ed99ec2b9974236b3761172e028e6ab9f700684 1223186 python-libvirt_0.9.11-2_i386.deb
Files: 
 b6b7fca4d675167bc9996d3c9b936206 2276 libs optional libvirt_0.9.11-2.dsc
 265e6b624659d9f219eeafbf9b0ef4ef 35711 libs optional libvirt_0.9.11-2.debian.tar.gz
 60b8d708f27c7ecafcb32a6051303f17 1965264 doc optional libvirt-doc_0.9.11-2_all.deb
 dbb35fd74a60d2e555b7795da1a2af6b 2127948 admin optional libvirt-bin_0.9.11-2_i386.deb
 0bf0bd86106b49523d9c7e2be6c00b97 1926654 libs optional libvirt0_0.9.11-2_i386.deb
 616944f6d42748d1d4ac8749ee25c0d0 5865884 debug extra libvirt0-dbg_0.9.11-2_i386.deb
 a7a13633a0c79427605661052b3b3a83 2306642 libdevel optional libvirt-dev_0.9.11-2_i386.deb
 e24003290359e8b32fbe1f75aa2e2cc4 1223186 python optional python-libvirt_0.9.11-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPgwzfn88szT8+ZCYRAgTCAJ9fvP/8fTjoUPcMXBL3fxovTEaMmQCeKDYZ
myNwOXJeOy4rfCUMaK4tzs4=
=YQJ5
-----END PGP SIGNATURE-----





Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Mon, 09 Apr 2012 16:36:15 GMT) Full text and rfc822 format available.

Notification sent to "Zak B. Elep" <zakame@zakame.net>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 16:36:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:35:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:57:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.